<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

if( !class_exists('WPEPAjax')):

final class WPEPAjax{
	function saveSettings(){
	$cu = wp_get_current_user();
	$data = array();
	$data['wpep_popuptype'] = sanitize_text_field($_POST['wpep_popuptype']);
	$data['wpep_message'] = esc_html($_POST['wpep_message']);
	$data['wpep_position'] = sanitize_text_field($_POST['wpep_position']);
	$data['wpep_display_popup'] = intval($_POST['wpep_display_popup']);
	$data['popup_display'] = intval($_POST['popup_display']);
	
	$data['wpep_corner_popup_position']=sanitize_text_field($_POST['wpep_corner_popup_position']);
	$data['wpep_corner_message'] = esc_html($_POST['wpep_corner_message']);
	$data['mailchimp_api_key'] = sanitize_text_field($_POST['mailchimp_api_key']);
	$data['mailchimp_list'] = sanitize_text_field($_POST['mailchimp_list']);
	$data['mailchimp_enabled']	= isset($_POST['mailchimp_enabled']) ? sanitize_text_field($_POST['mailchimp_enabled']) : '';
	if($cu->has_cap('manage_options')){
			update_option('wpep_settings',$data);
		}
	die();
	}
}
endif;